PHP Manual
Prev |  | Next

# swf_lookat

(PHP 4, PECL)

swf_lookat -- Define a viewing transformation

## Description

void swf_lookat ( float view_x, float view_y, float view_z, float reference_x, float reference_y, float reference_z, float twist )

Defines a viewing transformation by giving the viewing position and the coordinates of a reference point in the scene.

## Parameters

`view_x`

  x-coordinate for the viewing position

`view_y`

  y-coordinate for the viewing position

`view_z`

  z-coordinate for the viewing position

`reference_x`

  x-coordinate for the reference point

`reference_y`

  y-coordinate for the reference point

`reference_z`

  z-coordinate for the reference point

`twist`

  Controls the rotation along with viewer's z axis.

## Return Values

No value is returned.

Prev | Home | Next
swf_labelframe | Up | swf_modifyobject